Summary: Ctors | Methods | Inherited Methods | [Expand All]
public class

# TransPDFOptions

extends OptionsBase

java.lang.Object
↳ | com.pdftron.pdf.OptionsBase
| ↳ | com.pdftron.pdf.TransPDFOptions

## Summary

Public Constructors
| TransPDFOptions() Constructor.
| TransPDFOptions(String json_string) Constructor.

Public Methods
int | getBatchSize() Gets the value BatchSize from the options object.
String | getPages() Gets the value Pages from the options object.
boolean | getResizeSingleLine() Gets the value ResizeSingleLine from the options object.
String | getSourceLanguage() Gets the value SourceLanguage from the options object.
TransPDFOptions | setBatchSize(int value) Sets the value for BatchSize in the options object.
TransPDFOptions | setPages(String value) Sets the value for Pages in the options object.
TransPDFOptions | setResizeSingleLine(boolean value) Sets the value for ResizeSingleLine in the options object.
TransPDFOptions | setSourceLanguage(String value) Sets the value for SourceLanguage in the options object.

[Expand] Inherited Methods
From class java.lang.Object
boolean | equals(Object arg0)
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)
final void | wait()

## Public Constructors

#### public TransPDFOptions ()

Constructor.

##### Throws

PDFNetException |

#### public TransPDFOptions (String json_string)

Constructor.

##### Throws

PDFNetException |

## Public Methods

#### public int getBatchSize ()

Gets the value BatchSize from the options object. The number of pages to process before saving an intermediate PDF to free resources. A greater number of pages will increase memory usage, and a smaller number will increase processing time. Default is 20.

##### Returns

- The number of pages to process before saving an intermediate PDF to free resources. A greater number of pages will increase memory usage, and a smaller number will increase processing time. Default is 20.

##### Throws

PDFNetException |

#### public String getPages ()

Gets the value Pages from the options object. Specifies a set of pages to process, such as "1-5", or "1-3,5,7-10". Open ended ranges are supported, e.g., "3-". By default all pages are processed. The first page is page number 1. This option only affects XLIFF extraction.

##### Returns

- Specifies a set of pages to process, such as "1-5", or "1-3,5,7-10". Open ended ranges are supported, e.g., "3-". By default all pages are processed. The first page is page number 1. This option only affects XLIFF extraction.

##### Throws

PDFNetException |

#### public boolean getResizeSingleLine ()

Gets the value ResizeSingleLine from the options object. If true, single line text boxes will grow and shrink to accommodate translated text.

##### Returns

- The current value for ResizeSingleLine.

##### Throws

PDFNetException |

#### public String getSourceLanguage ()

Gets the value SourceLanguage from the options object. A language code as specified in [RFC 4646] that identifies the language of the source PDF. This will be set as the 'source-language' attribute of the file tag in the extracted XLIFF. Default is 'en' (English).

##### Returns

- A language code as specified in [RFC 4646] that identifies the language of the source PDF. This will be set as the 'source-language' attribute of the file tag in the extracted XLIFF. Default is 'en' (English).

##### Throws

PDFNetException |

#### public TransPDFOptions setBatchSize (int value)

Sets the value for BatchSize in the options object. The number of pages to process before saving an intermediate PDF to free resources. A greater number of pages will increase memory usage, and a smaller number will increase processing time. Default is 20.

##### Parameters

value | The number of pages to process before saving an intermediate PDF to free resources. A greater number of pages will increase memory usage, and a smaller number will increase processing time. Default is 20.

##### Returns

- This object, for call chaining.

##### Throws

PDFNetException |

#### public TransPDFOptions setPages (String value)

Sets the value for Pages in the options object. Specifies a set of pages to process, such as "1-5", or "1-3,5,7-10". Open ended ranges are supported, e.g., "3-". By default all pages are processed. The first page is page number 1.

##### Parameters

value | Specifies a set of pages to process, such as "1-5", or "1-3,5,7-10". Open ended ranges are supported, e.g., "3-". By default all pages are processed. The first page is page number 1. This option only affects XLIFF extraction.

##### Returns

- This object, for call chaining.

##### Throws

PDFNetException |

#### public TransPDFOptions setResizeSingleLine (boolean value)

Sets the value for ResizeSingleLine in the options object. If true, single line text boxes will grow and shrink to accommodate translated text.

##### Parameters

value | The new value for ResizeSingleLine.

##### Returns

- This object, for call chaining.

##### Throws

PDFNetException |

#### public TransPDFOptions setSourceLanguage (String value)

Sets the value for SourceLanguage in the options object. A language code as specified in [RFC 4646] that identifies the language of the source PDF. This will be set as the 'source-language' attribute of the file tag in the extracted XLIFF. Default is 'en' (English).

##### Parameters

value | A language code as specified in [RFC 4646] that identifies the language of the source PDF. This will be set as the 'source-language' attribute of the file tag in the extracted XLIFF. Default is 'en' (English).

##### Returns

- This object, for call chaining.

##### Throws

PDFNetException |